package org.jeecg.modules.adweb.seo.service;


import org.jeecg.modules.adweb.common.constant.AdwebConstant;
import org.jeecg.modules.adweb.seo.service.dataforseo.DataForSEOService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles("dev")
public class DataForSEOTest {

    @Autowired private DataForSEOService dataForSEOService;

    @Test
    public void testSerpGoogleOrganic() throws Exception {
        dataForSEOService.syncKeywordsSerp(AdwebConstant.KEYWORD_TYPE_APPOINT, 3);
    }
}
